Ubuntu

tvtime does not rebember matte settings

Reported by Jan Nekvasil on 2009-01-03
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
TV Time Television Viewer
Unknown
Unknown
tvtime (Debian)
Confirmed
Unknown
tvtime (Ubuntu)
Medium
Unassigned
Dapper
Undecided
Unassigned
Intrepid
Undecided
Unassigned

Bug Description

Binary package hint: tvtime

tvtime 1.0.2-0.3ubuntu2, intrepid.

Run tvtime, press Tab for menu, go to Output configuration -> Apply matte -> 16:10. Matte will change according your choice. Close tvtime and reopen it again. Matte is 4:3 now, no previous settings are remembered.

As a lot of people use 16:10 LCD now, this means for them to set the matte manually every time they run tvtime.

There is a patch already resolving this issue, reported as working with tvtime 1.0.2:
http://sourceforge.net/tracker/?func=detail&atid=506989&aid=1634306&group_id=64301

If there are no objections, I suggest to use this fix for tvtime package in current (Intrepid), that owners of LCDs with aspect ratio other than 4:3 may benefit from it right now.

Jan Nekvasil (jan-nekvasil) wrote :

Oops, submited some gibberish downloaded by Epiphany instead of patch. This is the right one.

Jan Nekvasil (jan-nekvasil) wrote :

Hi again, is there any chance that this patch will be applied for the upcoming Ubuntu Jaunty? And if not, what are the reasons against it?

Jan Nekvasil (jan-nekvasil) wrote :

OK, no matte ponnies for You, Jaunty J. But: Patch EXISTS, solves the bug. I tried it, it WORKS. Can someone please review it, please? Is there some way how can I personally help more with this issue?

Thanks for any answer.

Artur Rona (ari-tczew) wrote :

I changed title, because patch generally exist, but no exist IN THE PACKAGE. Tag "patch" added.

summary: - tvtime does not rebember matte settings (patch already exists)
+ tvtime does not rebember matte settings
tags: added: patch
Alessio Treglia (quadrispro) wrote :

Is this still reproducible on Karmic?

Changed in tvtime (Ubuntu):
status: New → Incomplete
Alessio Treglia (quadrispro) wrote :

I read wrong, the affected release is 1.0.1, avalable in Dapper.

Changed in tvtime (Ubuntu):
status: Incomplete → Fix Released
Changed in tvtime (Ubuntu Dapper):
status: New → Fix Released
status: Fix Released → New
Changed in tvtime (Ubuntu Intrepid):
status: New → Fix Released
Artur Rona (ari-tczew) wrote :

Alessio, bug still exist in all versions.

Changed in tvtime (Ubuntu):
status: Fix Released → New
Changed in tvtime (Ubuntu Intrepid):
status: Fix Released → New
Alessio Treglia (quadrispro) wrote :

Quoting report's descrioption:

"There is a patch already resolving this issue, ___reported as working___ with tvtime 1.0.2:
http://sourceforge.net/tracker/?func=detail&atid=506989&aid=1634306&group_id=64301"

Christoph Langner (chrissss) wrote :

What about the patch Alessio Treglia mentioned? I compiled tvtime with this patch and it works. Could we include it in Karmic?

Changed in tvtime (Ubuntu):
status: New → Confirmed
Benjamin Drung (bdrung) wrote :

Can someone refresh the patch? It does not apply any more:

$ patch -p1 < ../savematte.patch
patching file src/commands.c
Hunk #2 succeeded at 2901 (offset 3 lines).
Hunk #3 succeeded at 3493 (offset 3 lines).
Hunk #4 succeeded at 3541 (offset 3 lines).
patching file src/commands.h
patching file src/tvtime.c
patching file src/tvtimeconf.c
patching file src/tvtimeconf.h
patching file src/videoinput.c
Hunk #1 FAILED at 376.
1 out of 2 hunks FAILED -- saving rejects to file src/videoinput.c.rej
patching file src/videoinput.h
patching file src/xvoutput.c

To get the source run:
dget http://ftp.debian.org/debian/pool/main/t/tvtime/tvtime_1.0.2-3.dsc
dpkg-source -x tvtime_1.0.2-3.dsc

Changed in tvtime (Debian):
status: Unknown → New
Changed in tvtime (Ubuntu):
status: Confirmed → In Progress
importance: Undecided → Medium
assignee: nobody → Alessio Treglia (quadrispro)
Changed in tvtime (Ubuntu):
status: In Progress → Fix Committed
assignee: Alessio Treglia (quadrispro) → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tvtime - 1.0.2-3ubuntu1

---------------
tvtime (1.0.2-3ubuntu1) karmic; urgency=low

  * Add quilt support.
  * debian/patches/tvtime-1.0.1-savematte.patch: tvtime does not rebember
    matte settings (LP: #313570).
  * debian/patches/glibc-2.10.patch: Prevent FTBFS with glibc 2.10.
  * debian/patches/desktop_file.patch: Adjust docs/net-tvtime.desktop
    according to Freedesktop.org's spec.
  * debian/dirs: Remove usr/share/lintian/overrides, it's empty.

 -- Alessio Treglia <email address hidden> Sun, 27 Sep 2009 17:56:32 +0200

Changed in tvtime (Ubuntu):
status: Fix Committed → Fix Released
Higany (higany-mailbox) wrote :

this problem also have new Ubuntu (Lucid Lynx) version.... after the install, the setting directory created with root permission... is in my home directory... :/ not writable ...

:> sudo chmod -R (username) ./.tvtime
:> sudo chgrp -R (username) ./.tvtime

Alex Valavanis (valavanisalex) wrote :

Intrepid Ibex reached end-of-life on 30 April 2010 so I am closing the
report. The bug has been fixed in newer releases of Ubuntu.

Changed in tvtime (Ubuntu Intrepid):
status: New → Invalid
Psychotron (redm) wrote :

Can you please make this patch in a way that this behaviour is optional? I just reinstalled tvtime from ubuntu repositories (after using a self compiled version for some time) and now it's broken for me! There is still a lot of TV content which is 4:3, so I'd like to start with a default of 4:3 and only switch to 16:10 if needed i.e. I watch 16:9 content AND fullscreen. So if you think you have to change default behaviour, please at least provide a cmdline option (or whatever) to override this.

JC Hulce (soaringsky) wrote :

Thank you for reporting this bug to Ubuntu. The version of Ubuntu referenced in this issue has reached end of life, and the issue is fixed in newer versions of Ubuntu.
Please see this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

Changed in tvtime (Ubuntu Dapper):
status: New → Invalid
Changed in tvtime (Debian):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.